QGIS Application - Bug report #16716
QGIS MSSQL connection creation issue
2017-06-16 10:06 AM - Jerome Anthony

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.18.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 24615
Description

| am on OSX (mac)

| have created a DSN using iODBC Administrator.

When | try to create a MSSQL layer using the DSN connection, the connection times out with the attached prompt.

If anyone has any useful documentation on how to configure a MSSQL connection, appreciate it a lot.

Thanks for QGIS

Related issues:
Related to QGIS Application - Bug report # 16718: QGIS MSSQL Layer creation e... Closed 2017-06-18

History

#1 - 2017-06-16 10:28 AM - Giovanni Manghi

- File Screenshot_20170616_092826.png added
- Status changed from Open to Closed

- Resolution set to invalid

Use the native MSSQL provider that QGIS has. See attached image.

#2 - 2017-06-16 10:44 AM - Jerome Anthony
- Status changed from Closed to Reopened

Hi Giovannie,

| am still getting errors, and it's not very obvious on how to proceed further

#3 - 2017-06-16 10:45 AM - Jerome Anthony
- File qgis-error-connect.jpeg added

Image attached
#4 - 2017-06-16 10:53 AM - Jerome Anthony
- File qgis-mssql-gibberish.jpeg added

Attached the image with gibberish in error message

#5 - 2017-06-16 10:53 AM - Jerome Anthony

Giovanni Manghi wrote:

Use the native MSSQL provider that QGIS has. See attached image.

| am using this one

#6 - 2017-06-16 03:28 PM - Giovanni Manghi

- Status changed from Reopened to Closed

Jerome Anthony wrote:

Image attached

in "host" use the IP address or host name of the server, you don't need to create a DSN with ODBC and use it. QGIS connects natively and directly to

mssq| server.

#7 - 2017-06-16 03:29 PM - Giovanni Manghi

Jerome Anthony wrote:

Attached the image with gibberish in error message

could you please try an see if it happens also on Windows or Linux?
in any case this would be a separate issue and needs a separate ticket.

#8 - 2017-06-19 08:56 AM - Jiirgen Fischer

- Related to Bug report #16718: QGIS MSSQL Layer creation error in OSX added

#9 - 2017-10-16 09:08 AM - Mick Collopy

| have no trouble connecting to MSSQL from Windows desktop but Linux (Ubuntu) desktop produces 'driver not laoded' error.
There's an issue for that #16718

Files
qgis-error.jpeg 119 KB 2017-06-16 Jerome Anthony
Screenshot_20170616_092826.png 22.5KB 2017-06-16 Giovanni Manghi
qgis-error-connect.jpeg 749 KB 2017-06-16 Jerome Anthony
qgis-mssql-gibberish.jpeg 90.3 KB 2017-06-16 Jerome Anthony
